- Qt 6.8
- Qt Help
- C++ Classes
- QHelpIndexModel
- Qt 6.8.0 Reference Documentation

# QHelpIndexModel Class

The QHelpIndexModel class provides a model that supplies index keywords to views. More...

Header: | #include <QHelpIndexModel>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Help) target_link_libraries(mytarget PRIVATE Qt6::Help)
qmake: | QT += help
Inherits: | QStringListModel

- List of all members, including inherited members

## Public Functions

void | createIndex(const QString &filter)
`(since 6.8)` void | createIndexForCurrentFilter()
QModelIndex | filter(const QString &filter, const QString &wildcard = {})
QHelpEngineCore * | helpEngine() const
bool | isCreatingIndex() const

## Signals

void | indexCreated()
void | indexCreationStarted()

## Detailed Description

## Member Function Documentation

### void QHelpIndexModel::createIndex(const QString &filter)

Creates a new index by querying the help system for keywords for the specified custom filter name.

### `[since 6.8]` void QHelpIndexModel::createIndexForCurrentFilter()

Creates a new index by querying the help system for keywords for the current filter.

This function was introduced in Qt 6.8.

### QModelIndex QHelpIndexModel::filter(const QString &filter, const QString &wildcard = {})

Filters the indices and returns the model index of the best matching keyword. In a first step, only the keywords containing filter are kept in the model's index list. Analogously, if wildcard is not empty, only the keywords matched are left in the index list. In a second step, the best match is determined and its index model returned. When specifying a wildcard expression, the filter string is used to search for the best match.

### QHelpEngineCore *QHelpIndexModel::helpEngine() const

Returns the associated help engine that manages this model.

### `[signal]` void QHelpIndexModel::indexCreated()

This signal is emitted when the index has been created.

### `[signal]` void QHelpIndexModel::indexCreationStarted()

This signal is emitted when the creation of a new index has started. The current index is invalid from this point on until the signal indexCreated() is emitted.

See also isCreatingIndex().

### bool QHelpIndexModel::isCreatingIndex() const

Returns true if the index is currently built up, otherwise false.